Skip to content
VirtlixCP

Documentation / API

Switch Scans

List Switch Scans

GET /switch/{switch_id}/scan

List of Scans for a Network Switch

Response 200: List of Scans for a Network Switch

Field Type Description
canceled boolean
created_at object
created_at.iso_8601 string IS0 8601-formatted Date
created_at.unix integer Seconds since Unix epoch (Unix Timestamp)
done boolean
failed boolean
finished boolean
id integer VirtlixCP-specific unique identifier used for URLs, etc.
status string

Create Switch Scan

POST /switch/{switch_id}/scan

Add new Scan to a Network Switch

Request body

Field Type Required Description
canceled boolean
created_at object
created_at.iso_8601 string yes IS0 8601-formatted Date
created_at.unix integer yes Seconds since Unix epoch (Unix Timestamp)
done boolean
failed boolean
finished boolean
id integer VirtlixCP-specific unique identifier used for URLs, etc.
status string

Response 200: A Scan for a Network Switch

Field Type Description
allow_vlan_tagging boolean
groups array
groups[].id integer VirtlixCP-specific unique identifier used for URLs, etc.
groups[].name string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
ip string
name string
port integer
portsInUseCount integer
scan object
scan.canceled boolean
scan.created_at object
scan.done boolean
scan.failed boolean
scan.finished boolean
scan.id integer VirtlixCP-specific unique identifier used for URLs, etc.
scan.status string
snmp_pass string
snmp_use_32_bit boolean
snmp_version integer
ssh_en_pass string
ssh_pass string
ssh_user string
type string
type_desc string

Request body

Field Type Required Description
canceled boolean
created_at object
created_at.iso_8601 string yes IS0 8601-formatted Date
created_at.unix integer yes Seconds since Unix epoch (Unix Timestamp)
done boolean
failed boolean
finished boolean
id integer VirtlixCP-specific unique identifier used for URLs, etc.
status string

Response 422: Unprocessable Entity

View Switch Scan

GET /switch/{switch_id}/scan/{scan_id}

A Scan for a Network Switch

Response 200: A Scan for a Network Switch

Field Type Description
canceled boolean
created_at object
created_at.iso_8601 string IS0 8601-formatted Date
created_at.unix integer Seconds since Unix epoch (Unix Timestamp)
done boolean
failed boolean
finished boolean
id integer VirtlixCP-specific unique identifier used for URLs, etc.
status string